//-----------------------------------------------------------------------------
// Header des Routines d'affichage sur l'ecran LCD du Nokia 3310
// transmission par SPI
// dsPIC 30F3010
// L. BAGHLI 10/04/2007
//-----------------------------------------------------------------------------
#ifndef lcd3310_h
#define lcd3310_h

#include "font.h"
//#include "font_arabe.h"

typedef enum
	{
  LCD_CMD  = 0,
	LCD_DATA = 1
	} LcdCmdData;

#define	InterruptLED	LATBbits.LATB0			// Output
#define	LCD3310_RST	LATBbits.LATB1			// Reset InfoLED
#define LCD3310_CS	LATDbits.LATD0			// LCD3310 Chip select
#define	SPI_8bitsdelay 20
#define LCD3310_DC	LATDbits.LATD1		// LCD3310 Data /Command mode select
#define	LCD3310_Speaker		LATEbits.LATE5			// PWM speaker
#define	T_2000Hz 9999
#define	T_1000Hz 19999
extern unsigned int HalfDUTY;

void InitPWM_HP_LCD3310();	//	Config Haut parleur de l'ecran LCD via PWM 50%  freq variable
void InitSPI_LCD3310();		//	Init SPI du LCD
void LCD3310_Clear();	// Clear screen en recopiant des espaces
void LCD3310_GotoXY(unsigned short xnokia, unsigned short ynokia);	// Set the current position for data (x = 0->83, y = 0->5)
void LCD3310_SendMsg(char *dataPtr );			// Affiche un message de char point
void LCD3310_WriteChar(char ascii_code);	// Affiche un caractere  l'cran 
void LCD3310_Send(unsigned short data, unsigned short cd );	// Envoie le caractere  afficher sur l'ecran
#endif
